summaryrefslogtreecommitdiffstats
path: root/source/n/fetchmail
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/fetchmail')
-rwxr-xr-xsource/n/fetchmail/fetchmail.SlackBuild5
-rw-r--r--source/n/fetchmail/fetchmail.openssl111.diff11
2 files changed, 15 insertions, 1 deletions
diff --git a/source/n/fetchmail/fetchmail.SlackBuild b/source/n/fetchmail/fetchmail.SlackBuild
index 3b24b65b1..4129b7c25 100755
--- a/source/n/fetchmail/fetchmail.SlackBuild
+++ b/source/n/fetchmail/fetchmail.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fetchmail
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,6 +67,9 @@ rm -rf fetchmail-$VERSION
tar xvf $CWD/fetchmail-$VERSION.tar.xz || exit 1
cd fetchmail-$VERSION || exit 1
+# Patch for OpenSSL 1.1.1 compatibility:
+zcat $CWD/fetchmail.openssl111.diff.gz | patch -p1 --verbose || exit 1
+
# this is the sloppiest source tarball ever
# [NOTE: *was*... the new maintainers are much better]
chown -R root:root .
diff --git a/source/n/fetchmail/fetchmail.openssl111.diff b/source/n/fetchmail/fetchmail.openssl111.diff
new file mode 100644
index 000000000..45516b6b4
--- /dev/null
+++ b/source/n/fetchmail/fetchmail.openssl111.diff
@@ -0,0 +1,11 @@
+--- ./socket.c.orig 2013-04-23 15:00:45.000000000 -0500
++++ ./socket.c 2018-09-26 11:56:14.957489314 -0500
+@@ -1007,6 +1007,8 @@
+ SSL_use_RSAPrivateKey_file(_ssl_context[sock], mykey, SSL_FILETYPE_PEM);
+ }
+
++ SSL_set_tlsext_host_name(_ssl_context[sock],servercname);
++
+ if (SSL_set_fd(_ssl_context[sock], sock) == 0
+ || SSL_connect(_ssl_context[sock]) < 1) {
+ ERR_print_errors_fp(stderr);